
Application: gvSIG desktop - gvSIG bugs #1311
Pesistence in Interval type on symbols properties
10/24/2012 01:13 PM - Vicent Domenech

Status: Closed % Done: 0%
Priority: High Spent time: 0.00 hour
Assignee: Juan Lucas Domínguez
Category: Symbology
Target version: 2.0.0-rc1
Severity: Add-on version:
gvSIG version: 2.0.0 Add-on build:
gvSIG build: 2056 Add-on resolve version:
Operative System: Linux Add-on resolve build:
Keywords: Proyecto:
Has patch: No Hito:
Add-on name: Unknown
Description

Open gvSIG
New view
Add shp layer Alicante_Comunicaciones_2_ICV_SHP2d.shp(
http://downloads.gvsig.org/download/geodata/vector/SHP2D/Alicante_Comunicaciones_2_ICV_SHP2d.zip)
Right click on name layer in ToC
Click properties
In symbols tab choose intervals on quantities
Choose on classification field: COLOR
On Interval type: Quantile intervals
On Nr of intervals: 7
Click on Quantile intervals
Apply and Accept
Save project
Open the same project
Right click on name layer in ToC
Click properties
In symbols tab choose intervals on quantities
Now on Interval type is Natural intervals, but the intervals are the same

History
#1 - 10/30/2012 10:34 AM - María Maluenda

Is not necessary save the project for to view that interval type is not saved.
1.- Open gvSIG
2.- Add new view (EPSG 23030)
3.- Add new layer (http://downloads.gvsig.org/download/geodata/vector/SHP2D/Alicante_Comunicaciones_ICV_SHP2d.zip)
4.- Click right button in layer Toc
5.- Select properties
6.- Folder Symbols, apply symbols by Intervals/ Classification field: Nivel/ Interval type: Quantile Interval/ Nr of Intervals: 3 /  Apply ramp to colors
7.- Click Ok
8.- The symbols appears in the view, but now: Click right button in layer Toc, Select properties and in Folder Symbols you can view that interval type is
changed to natural interval.

04/29/2024 1/2

http://downloads.gvsig.org/download/geodata/vector/SHP2D/Alicante_Comunicaciones_2_ICV_SHP2d.zip
http://downloads.gvsig.org/download/geodata/vector/SHP2D/Alicante_Comunicaciones_ICV_SHP2d.zip


#2 - 10/30/2012 10:35 AM - María Maluenda

Is not necessary save the project for to view that interval type is not saved.
1.- Open gvSIG
2.- Add new view (EPSG 23030)
3.- Add new layer (http://downloads.gvsig.org/download/geodata/vector/SHP2D/Alicante_Comunicaciones_ICV_SHP2d.zip)
4.- Click right button in layer Toc
5.- Select properties
6.- Folder Symbols, apply symbols by Intervals/ Classification field: Nivel/ Interval type: Quantile Interval/ Nr of Intervals: 3 /  Apply ramp to colors
7.- Click Ok
8.- The symbols appears in the view, but now: Click right button in layer Toc, Select properties and in Folder Symbols you can view that interval type is
changed to natural interval.

#3 - 11/05/2012 10:47 AM - Manuel Madrid
- Priority changed from Normal to High

#4 - 11/12/2012 05:34 PM - Juan Lucas Domínguez
- Status changed from New to Fixed
- Assignee set to Juan Lucas Domínguez

Fixed management of intervalType field (also renamed combo component).

gvsig-desktop:r39216

Test: the steps described should now work.

#5 - 11/19/2012 09:56 AM - Vicent Domenech
- Status changed from Fixed to Closed

Closed with gvSIG build 2058
